/*
 *	   o p e n m e m _ c
 *
 *	This file is part of the LIBRLL library.
 *
 * (c) Copyright 1999 David J. Walker
 *	   Email:  dave.walker@icl.com
 *
 *	   Permission to copy and/or distribute is granted under the
 *	   following conditions:
 *
 *	   1). This notice must remain intact.
 *	   2). The author is not responsible for the consequences of use
 *		   this software, no matter how awful, even if they arise
 *		   from defects in it.
 *	   3). Altered versions must not be represented as being the
 *		   original software.
 */

#include "librll.h"
#include <fcntl.h>


RLL_FILE *	_RLL_OpenMem (int fd)
{
	RLL_FILE *	rp;

	/*
	 *	Allocate memory for RLL_FILE control structure.
	 *	Return error if it fails.
	 */
	if (NULL != (rp = malloc (sizeof (RLL_FILE))))
	{
		/*
		 *	Allocate memory for RLL Header
		 */
		if (NULL != (rp->rll_header = malloc(sizeof(rp->rll_header))))
		{
			return rp
		}
		free (rp);
	}
	return NULL;
}
